<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_242-release) on Sun May 23 22:06:33 CEST 2021 -->
<title>FileChooser</title>
<meta name="date" content="2021-05-23">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileChooser";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/FileChooser.html" target="_top">Frames</a></li>
<li><a href="FileChooser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.distributed.radio</div>
<h2 title="Class FileChooser" class="title">Class FileChooser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.distributed.radio.FileChooser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileChooser</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio">FileChooser.FileSelectedListener</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.app.Activity</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#activity">activity</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#currentPath">currentPath</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.app.Dialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#dialog">dialog</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#extension">extension</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio">FileChooser.FileSelectedListener</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#fileListener">fileListener</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private android.widget.ListView</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#list">list</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#PARENT_DIR">PARENT_DIR</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#FileChooser-android.app.Activity-">FileChooser</a></span>(android.app.Activity&nbsp;activity)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#dismiss--">dismiss</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private java.io.File</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#getChosenFile-java.lang.String-">getChosenFile</a></span>(java.lang.String&nbsp;fileChosen)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#refresh-java.io.File-">refresh</a></span>(java.io.File&nbsp;path)</code>
<div class="block">Sort, filter and display the files for the given path.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#setExtension-java.lang.String-">setExtension</a></span>(java.lang.String&nbsp;extension)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#setFileListener-com.distributed.radio.FileChooser.FileSelectedListener-">setFileListener</a></span>(<a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio">FileChooser.FileSelectedListener</a>&nbsp;fileListener)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/FileChooser.html#showDialog--">showDialog</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PARENT_DIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PARENT_DIR</h4>
<pre>private static final&nbsp;java.lang.String PARENT_DIR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.FileChooser.PARENT_DIR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="activity">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activity</h4>
<pre>private final&nbsp;android.app.Activity activity</pre>
</li>
</ul>
<a name="list">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>list</h4>
<pre>private final&nbsp;android.widget.ListView list</pre>
</li>
</ul>
<a name="dialog">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dialog</h4>
<pre>private final&nbsp;android.app.Dialog dialog</pre>
</li>
</ul>
<a name="currentPath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentPath</h4>
<pre>private&nbsp;java.io.File currentPath</pre>
</li>
</ul>
<a name="extension">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extension</h4>
<pre>private&nbsp;java.lang.String extension</pre>
</li>
</ul>
<a name="fileListener">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fileListener</h4>
<pre>private&nbsp;<a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio">FileChooser.FileSelectedListener</a> fileListener</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileChooser-android.app.Activity-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileChooser</h4>
<pre>public&nbsp;FileChooser(android.app.Activity&nbsp;activity)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setExtension-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtension</h4>
<pre>public&nbsp;void&nbsp;setExtension(java.lang.String&nbsp;extension)</pre>
</li>
</ul>
<a name="setFileListener-com.distributed.radio.FileChooser.FileSelectedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileListener</h4>
<pre>public&nbsp;void&nbsp;setFileListener(<a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio">FileChooser.FileSelectedListener</a>&nbsp;fileListener)</pre>
</li>
</ul>
<a name="dismiss--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dismiss</h4>
<pre>public&nbsp;void&nbsp;dismiss()</pre>
</li>
</ul>
<a name="showDialog--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showDialog</h4>
<pre>public&nbsp;void&nbsp;showDialog()</pre>
</li>
</ul>
<a name="refresh-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refresh</h4>
<pre>private&nbsp;void&nbsp;refresh(java.io.File&nbsp;path)</pre>
<div class="block">Sort, filter and display the files for the given path.</div>
</li>
</ul>
<a name="getChosenFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getChosenFile</h4>
<pre>private&nbsp;java.io.File&nbsp;getChosenFile(java.lang.String&nbsp;fileChosen)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/FileChooser.html" target="_top">Frames</a></li>
<li><a href="FileChooser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
